@echo off
rem ############################################################
rem #
rem # FDA Medication Guides Automatic Printing 
rem # Department of Veterans Affairs
rem # FDA MED GUIDES, INCREMENT 3 
rem # SSL Certificate installation batch file
rem # FDA Med Guides Printer Tool version 1.0.1.1
rem #
rem ############################################################
TITLE CMOP SSL Certificate Installation
REM
REM -- Command line to run application to Add CMOP Root Certificate to Java Keystore
REM
REM
REM -- Resolve location of Java runtime environment
REM
set KeyName=HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment
set Cmd=reg query "%KeyName%" /s
for /f "tokens=2*" %%i in ('%Cmd% ^| find "JavaHome"') do set JRE_HOME=%%j
REM
REM
REM -- Resolve location of Java JDK environment
REM
set KeyName=HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit
set Cmd=reg query "%KeyName%" /s
for /f "tokens=2*" %%i in ('%Cmd% ^| find "JavaHome"') do set JDK_HOME=%%j
REM
REM
REM -- Check if we located either JRE or JDK exists
REM
if "%JRE_HOME%%JDK_HOME%"=="" ( 
echo Failed to locate any installed Java environments, please install a Java Runtime Environment
)
REM
REM
REM -- If a Java runtime environment is located then set both JAVA_HOME and JAVA_JRE system environment variables
REM
if not "%JRE_HOME%"=="" (
setx JRE_HOME "%JRE_HOME%"
if "%JDK_HOME%"=="" ( setx JAVA_HOME "%JRE_HOME%" )
)
REM
REM
REM -- If a Java JDK environment is located then set JAVA_HOME system environment variables
REM 
if not "%JDK_HOME%"=="" (
setx JAVA_HOME "%JDK_HOME%"
if "%JRE_HOME%"=="" ( setx JRE_HOME "%JDK_HOME%\jre" )
)
REM
REM
REM -- Append JRE_HOME to the beginning of System PATH
REM
set NEWPATH=%JRE_HOME%;%JRE_HOME%\bin;%JRE_HOME%\lib;%PATH%
REM
REM -- Remove double quotes in System PATH variable to prevent error when setting the System PATH with the new value
REM
set NEWPATH_NOQ=%NEWPATH:"=%
REM
REM -- Add semicolon at the end if System PATH if it ends with a backslash to prevent error when setting the System PATH
REM
set LASTCHAR=%NEWPATH_NOQ:~-1%
set backslash=\
if "%LASTCHAR%"=="%backslash%" set NEWPATH_NOQ=%NEWPATH_NOQ%;
REM
REM
REM -- Set the System PATH with the new value
REM
"C:\Windows\system32\setx.exe" PATH "%NEWPATH_NOQ%" /M
REM
REM
REM -- Add CMOP SSL certificate to Java truststore
REM
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-RCA1-v1.cer" -alias VA-Internal-S2-RCA1-v1 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA1-v1.cer" -alias VA-Internal-S2-ICA1-v1 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA2-v1.cer" -alias VA-Internal-S2-ICA2-v1 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA3-v1.cer" -alias VA-Internal-S2-ICA3-v1 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA4.cer" -alias VA-Internal-S2-ICA4 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA5.cer" -alias VA-Internal-S2-ICA5 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA6.cer" -alias VA-Internal-S2-ICA6 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA7.cer" -alias VA-Internal-S2-ICA7 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA8.cer" -alias VA-Internal-S2-ICA8 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
"%JRE_HOME%\bin\keytool.exe" -import -trustcacerts -file C:/FDAMedGuidesPrinter/installation/CMOP_SSL_Certificate/"VA-Internal-S2-ICA9.cer" -alias VA-Internal-S2-ICA9 -keystore "%JRE_HOME%/lib/security/cacerts" -storepass changeit -noprompt
pause
@echo on